"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelCore = require("babel-core");

var _babelPluginLinguiTransformJs = require("babel-plugin-lingui-transform-js");

var _babelPluginLinguiTransformJs2 = _interopRequireDefault(_babelPluginLinguiTransformJs);

var _babelPluginLinguiTransformReact = require("babel-plugin-lingui-transform-react");

var _babelPluginLinguiTransformReact2 = _interopRequireDefault(_babelPluginLinguiTransformReact);

var _babelPluginLinguiExtractMessages = require("babel-plugin-lingui-extract-messages");

var _babelPluginLinguiExtractMessages2 = _interopRequireDefault(_babelPluginLinguiExtractMessages);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var babelRe = /\.jsx?$/i;

var extractor = {
  match(filename) {
    return babelRe.test(filename);
  },

  extract(filename, localeDir) {
    (0, _babelCore.transformFileSync)(filename, {
      plugins: [_babelPluginLinguiTransformJs2.default, _babelPluginLinguiTransformReact2.default, [_babelPluginLinguiExtractMessages2.default, { localeDir }]]
    });
  }
};

exports.default = extractor;