"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

exports.mockConsole = mockConsole;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mockConsole(testCase) {
  var mock = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var originalConsole = global.console;

  var defaults = {
    log: jest.fn(),
    warn: jest.fn()
  };

  global.console = (0, _extends3.default)({}, defaults, mock);

  try {
    testCase(global.console);
  } catch (e) {
    global.console = originalConsole;
    throw e;
  }

  global.console = originalConsole;
}